This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 637244 - virt-inspector has noisy start when inspecting 64-bit disk image from 32-bit host
virt-inspector has noisy start when inspecting 64-bit disk image from 32-bit ...
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-24 12:46 EDT by Eric Blake
Modified: 2010-12-12 17:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-12 17:48:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Blake 2010-09-24 12:46:00 EDT
Description of problem:
Virtualization test day uncovered this.  I ran virt-inspector on a 32-bit host, but pointed it to a 64-bit VM disk image (same results for both raw and qcow2 images).


Version-Release number of selected component (if applicable):
libguestfs-1.5.18-1.fc14.2.i686
libguestfs-tools-1.5.18-1.fc14.2.i686


How reproducible:
Always.


Steps to Reproduce:
1. # virt-inspector /mnt/backup/opt/libvirt/images/rhel_6-64.qcow2 2>&1 |head
  
Actual results:
Error running rpm -qa: command_lines: rpm: Exec format error at /usr/lib/perl5/Sys/Guestfs/Lib.pm line 1358.
linux rhel x86_64 6.0 (Red Hat Enterprise Linux Server release 6.0 (Santiago)) on /dev/vg_vmrhel664/lv_root:
  Mountpoints:
    /dev/vg_vmrhel664/lv_root      /
    /dev/sda1                      /boot
    /dev/vg_vmrhel664/lv_swap      swap
  Filesystems:
    /dev/sda1:
      label: 
      UUID: f101fb8b-4416-4b44-993e-3eb45bcec550


Expected results:
Lose the "Error running rpm -qa: command_lines: rpm: Exec format error at /usr/lib/perl5/Sys/Guestfs/Lib.pm line 1358." message at startup.


Additional info:
Comment 1 Richard W.M. Jones 2010-09-24 13:08:22 EDT
We need to detect the 64-on-32 case and disable trying to
run any commands in the guest when this happens.
Comment 2 Richard W.M. Jones 2010-12-12 17:48:55 EST
New version of virt-inspector doesn't run rpm commands like
this, and as such we expect it to work (it certainly works
on the 32-on-64 case, but I can't test the other way around).

Note You need to log in before you can comment on or make changes to this bug.